/* ================================================= */
/* CSS for control sap.ui.commons/MessageBar.control */
/* ================================================= */
/*****************************************************/
/*                 Base definitions                  */
/*****************************************************/

.sapUi-cursorPointer {
	cursor: pointer;
}

.sapUi-displayNone {
	display: none;
}

/* Icons have less padding within the Bar then they have within Messages... */
.sapUiMsgBar .sapUiMsgIcon {
	width: 16px; /* "width" with "position:center" seems more stable then "padding"... */
}

/* .. and Texts come with right padding */
.sapUiMsgBar .sapUiMsgTxt {
	padding: 0 7px 0 1px;
}

/*****************************************************/
/* Styling of the messageBar                         */
/*****************************************************/
.sapUiMsgBar {
	background-color: #3355A8;
	border-radius: 3px;
	padding: 1px;
	white-space: nowrap;
}

/* Styling the Icons-Counters container: */
.sapUiMsgBarSums {
	background: url("img/messagebar/float_backgr.gif") repeat-x scroll 0px 0px transparent;
	border: 1px solid #3355A8;
	border-radius: 2px;
	cursor: move;
	display: inline-block;
	height: 21px;
	line-height: 18px;
	padding: 1px;
}

.sapUiMsgBarOpen .sapUiMsgBarSums {
	background-color: white;
	background-image: none;
}

/* Styling the left Open-Hide arrow: */
.sapUiMsgBarToggle {
	background: url("img/messagebar/collapsed.gif") no-repeat scroll 0px 0px transparent;
	cursor: pointer;
	display: inline-block;
	height: 14px;
	margin: 0 4px;
	outline-style: none; /* To block IE outline */
	vertical-align: middle;
	width: 8px;
}

.sapUiRtl .sapUiMsgBarToggle {
	background-image: url("img/messagebar/collapsedRTL.gif");
}

.sapUiMsgBarOpen .sapUiMsgBarToggle,
.sapUiRtl .sapUiMsgBarOpen .sapUiMsgBarToggle {
	background-image: url("img/messagebar/expanded.gif");
}

/*.sapUiMsgBar .sapUiImg {
	padding: 0 2px;
	vertical-align: top;
}
.sapUiMsgBarSums .sapUiImg {
	outline-style: none;
	vertical-align: middle;  As controls do not vertically align on their own
}
.sapUiMsgBarSums .sapUiTv {
	padding: 0 5px 0 0;
	vertical-align: middle;  As controls do not vertically align on their own
}
 On RTL, the padding switches sides.
.sapUiRtl .sapUiMsgBarSums .sapUiTv {
	padding: 0 0 0 5px;
}*/

/* By default, not displaying the empty "(0)" levels: */
.sapUiMsgBarZeroCount {
	display: none !important;
}

/* The BackHome icon is not shown unless the MessageBar has been moved: */
.sapUiMsgBarMoved .sapUiMsgBarHome {
	display: inline-block;
}

.sapUiMsgBarHome {
	background: url("img/messagebar/re-dock.gif") no-repeat scroll 0px 0px transparent;
	border: 1px solid transparent;
	border-radius: 2px;
	cursor: pointer;
	display: none;
	height: 21px;
	padding: 1px;
	vertical-align: top;
	width: 9px;
}

.sapUiRtl .sapUiMsgBarHome {
	background-image: url("img/messagebar/re-dockRTL.gif");
}

.sapUiMsgBarHome:hover {
	background-color: #2F4D90;
	border: 1px solid #7E95C8;
}